export const spCampaignMetricsEnum = [
    {label: '曝光量', value: 'Impression'},
    {label: '点击量', value: 'Click'},
    {label: '花费', value: 'Spend'},
    {label: '订单量', value: 'TotalPurchases'},
    {label: '销售额', value: 'TotalSales'},
    {label: '销量', value: 'TotalUnitOrdered'},
    {label: '点击率', value: 'CTR'},
    {label: '点击成本', value: 'CPC'},
    {label: '转化率', value: 'PurchasesRate'},
    {label: 'ACOS', value: 'ACOS'},
    {label: 'ROAS', value: 'ROAS'},
    {label: '订单成本', value: 'CPA'},
    {label: '推广商品销售额', value: 'TotalSalesSameSKU'},
    {label: '其它商品销售额', value: 'TotalSalesOtherSKU'},
    {label: '推广商品订单量', value: 'TotalPurchasesSameSKU'},
    {label: '其它商品订单量', value: 'TotalPurchasesOtherSKU'},
    {label: '推广商品销量', value: 'TotalUnitOrderedSameSKU'},
    {label: '其它商品销量', value: 'TotalUnitOrderedOtherSKU'},
]

export const spCampaignPuchasedOtherProductsMetricsEnum = [
  {label: '其它商品订单数', value: 'TotalPurchasesOtherSKU'},
  {label: '其它商品销售额', value: 'TotalSalesOtherSKU'},
  {label: '其它商品销量', value: 'TotalUnitOrderedOtherSKU'},
  {label: '其它商品订单数占比', value: 'PurchasesOtherSKURate'},
  {label: '其它商品销售额占比', value: 'SalesOtherSKURate'},
  {label: '其它商品销量占比', value: 'UnitOrderedOtherSKURate'},
]

export const dynBidStrategyEnum = [
    {label: '动态竞价-仅降低', value: 'LEGACY_FOR_SALES', color: ''},
    {label: '动态竞价-提高和降低', value: 'AUTO_FOR_SALES', color: 'success'},
    {label: '固定竞价', value: 'MANUAL', color: 'warning'}
]

export const metricMap = {
  'Spend': '花费',
  'TotalSales': '销售额',
  'TotalPurchases': '订单数',
  'TotalUnitOrdered': '销量',
  'Impression': '曝光量',
  'Click': '点击量',
}

export const barOptionsMap = {
    'ACOS': 'ACOS',
    'ROAS': 'ROAS',
    'Spend': '花费',
    'TotalSales': '销售额',
    'TotalPurchases': '订单数',
    'TotalUnitOrdered': '销量',
    'CPC': '点击成本',
    'CPA': '订单成本',
    'Impression': '曝光量',
    'Click': '点击量',
    'CTR': '点击率',
    'PurchasesRate': '转化率',
    'TotalSalesSameSKU': '推广商品销售额',
    'TotalSalesOtherSKU': '其他商品销售额',
    'TotalPurchasesSameSKU': '推广商品订单数',
    'TotalPurchasesOtherSKU': '其他商品订单数',
    'TotalUnitOrderedSameSKU': '推广商品销量',
    'TotalUnitOrderedOtherSKU': '其他商品销量',
    'TopOfSearchImpressionShare': '搜索结果顶部展示份额'
}

